## org.springframework.orm.jpa
Class JpaObjectRetrievalFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.NonTransientDataAccessException
                              org.springframework.dao.DataRetrievalFailureException
                                  org.springframework.orm.ObjectRetrievalFailureException
                                      org.springframework.orm.jpa.JpaObjectRetrievalFailureException

All Implemented Interfaces:
  Serializable

    public class JpaObjectRetrievalFailureException

extends ObjectRetrievalFailureException

JPA-specific subclass of ObjectRetrievalFailureException. Converts JPA's EntityNotFoundException.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `EntityManagerFactoryUtils.convertJpaAccessExceptionIfPossible(java.lang.RuntimeException)`, Serialized Form

Constructor Summary
`JpaObjectRetrievalFailureException(javax.persistence.EntityNotFoundException ex)`

Method Summary

Methods inherited from class org.springframework.orm.ObjectRetrievalFailureException
`getIdentifier, getPersistentClass, getPersistentClassName`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JpaObjectRetrievalFailureException

    public JpaObjectRetrievalFailureException(javax.persistence.EntityNotFoundException ex)